## org.metaabm.function.impl
Class FFunctionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.function.impl.FFunctionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FFunction, IID

Direct Known Subclasses:
  FGenericImpl, FOperatorImpl

    public abstract class FFunctionImpl

extends IIDImpl
implements FFunction

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<FArgumentPrototype>` `inputPrototypes` The cached value of the '`Input Prototypes`' containment reference list.
`protected static boolean` `MULTI_VALUE_EDEFAULT` The default value of the '`Multi Value`' attribute.

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `FFunctionImpl()`

Method Summary
`boolean` `accepts(IValue value, int place)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<SAttributeType>` `getAvailableTypes()`
`org.eclipse.emf.common.util.EList<FArgumentPrototype>` `getInputPrototypes()`
`boolean` `isMultiValue()`
`void` `setMultiValue(boolean newMultiValue)`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, references, setID, setLabel, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### inputPrototypes

    protected org.eclipse.emf.common.util.EList<FArgumentPrototype> inputPrototypes

  The cached value of the '`Input Prototypes`' containment reference list.

  See Also:
    `getInputPrototypes()`

### MULTI_VALUE_EDEFAULT

    protected static final boolean MULTI_VALUE_EDEFAULT

  The default value of the '`Multi Value`' attribute.

  See Also:
    `isMultiValue()`, Constant Field Values

Constructor Detail

### FFunctionImpl

    protected FFunctionImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `IIDImpl`

### getAvailableTypes

    public org.eclipse.emf.common.util.EList<SAttributeType> getAvailableTypes()

  Specified by:
    `getAvailableTypes` in interface `FFunction`
  Returns:
    the value of the 'Available Types' attribute list.
  See Also:
    `SAttributeType`, `MetaABMFunctionPackage.getFFunction_AvailableTypes()`

### getInputPrototypes

    public org.eclipse.emf.common.util.EList<FArgumentPrototype> getInputPrototypes()

  Specified by:
    `getInputPrototypes` in interface `FFunction`
  Returns:
    the value of the 'Input Prototypes' containment reference list.
  See Also:
    `MetaABMFunctionPackage.getFFunction_InputPrototypes()`, `FArgumentPrototype.getInputFunction()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `IIDImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `IIDImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `IIDImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `IIDImpl`

### accepts

    public boolean accepts(IValue value,
                           int place)

  Specified by:
    `accepts` in interface `FFunction`

### isMultiValue

    public boolean isMultiValue()

  Specified by:
    `isMultiValue` in interface `FFunction`

### setMultiValue

    public void setMultiValue(boolean newMultiValue)

  Specified by:
    `setMultiValue` in interface `FFunction`
  Parameters:
    `newMultiValue` - the new value of the 'Multi Value' attribute.
  See Also:
    `FFunction.isMultiValue()`